diff --git a/Makefile b/Makefile
index f9ccaf9..1e4ea38 100644
--- a/Makefile
+++ b/Makefile
@@ -124,10 +124,10 @@ WEAVE=${WEAVE} \
 XLIB=${XLIB} \
 ZIPS=${ZIPS} 
 
-all: rootdirs tangle ${MNT}/${SYS}/bin/document
+all: rootdirs tanglec ${MNT}/${SYS}/bin/document
 	@ echo 1 making a ${SYS} system, PART=${PART} SUBPART=${SUBPART}
 	@ echo 2 Environment ${ENV}
-	@ ${BOOKS}/tangle Makefile.pamphlet "Makefile.${SYS}" >Makefile.${SYS}
+	@ ${BOOKS}/tanglec Makefile.pamphlet "Makefile.${SYS}" >Makefile.${SYS}
 	@ cp books/dvipdfm.def ${MNT}/${SYS}/doc
 	@ cp books/changepage.sty ${MNT}/${SYS}/doc
 	@ ${EXTRACT} Makefile.pamphlet
@@ -225,9 +225,9 @@ book:
 	@ echo 80 The book is at ${MNT}/${SYS}/doc/book.dvi 
 
 
-tangle: books/tangle.c
-	@echo t01 making tangle from tangle.c
-	@( cd books ; gcc -o tangle tangle.c )
+tanglec: books/tanglec.c
+	@echo t01 making tanglec from books/tanglec.c
+	@( cd books ; gcc -o tanglec tanglec.c )
 
 ${MNT}/${SYS}/bin/document:
 	@echo 0 ${ENV}
@@ -255,7 +255,7 @@ install:
 document: ${MNT}/${SYS}/bin/document
 	@ echo 4 making a ${SYS} system, PART=${PART} SUBPART=${SUBPART}
 	@ echo 5 Environment ${ENV}
-	@ ${BOOKS}/tangle Makefile.pamphlet "Makefile.${SYS}" >Makefile.${SYS}
+	@ ${BOOKS}/tanglec Makefile.pamphlet "Makefile.${SYS}" >Makefile.${SYS}
 	@ ${ENV} $(MAKE) -f Makefile.${SYS} document
 	@echo 6 finished system build on `date` | tee >lastBuildDate
 
@@ -292,11 +292,11 @@ clean:
 	@ for i in `find src -name "Makefile"` ; do rm -f $$i ; done
 	@ for i in `find src -name "Makefile.dvi"` ; do rm -f $$i ; done
 	@ rm -f lastBuildDate
-	@ rm -f books/tangle.o
+	@ rm -f books/tanglec
 	@ rm -f Makefile.pdf books/Makefile.pdf 
 	@ rm -f lsp/Makefile.pdf lsp/Makefile.pdf src/Makefile.pdf
 	@ rm -f src/algebra/Makefile.pdf src/clef/Makefile.pdf 
-	@ rm -f src/doc/Makefile.pdf src/lib/Makefile.pdf
+	@ rm -f src/doc/Makefile.pdf
 	@ rm -f src/etc/Makefile.pdf src/input/Makefile.pdf 
 	@ rm -f src/interp/Makefile.pdf
 	@ rm -f src/scripts/Makefile.pdf src/share/Makefile.pdf
diff --git a/Makefile.pamphlet b/Makefile.pamphlet
index 0b352b4..a8ac5ea 100644
--- a/Makefile.pamphlet
+++ b/Makefile.pamphlet
@@ -88,10 +88,10 @@ Note that make cannot handle recursively calling itself in the same
 directory so we have to expand the serial forms inline. Cheesy.
 
 \begin{chunk}{parallel}
-all: rootdirs tangle ${MNT}/${SYS}/bin/document
+all: rootdirs tanglec ${MNT}/${SYS}/bin/document
 	@ echo 1 making a ${SYS} system, PART=${PART} SUBPART=${SUBPART}
 	@ echo 2 Environment ${ENV}
-	@ ${BOOKS}/tangle Makefile.pamphlet "Makefile.${SYS}" >Makefile.${SYS}
+	@ ${BOOKS}/tanglec Makefile.pamphlet "Makefile.${SYS}" >Makefile.${SYS}
 	@ cp books/dvipdfm.def ${MNT}/${SYS}/doc
 	@ cp books/changepage.sty ${MNT}/${SYS}/doc
 	@ ${EXTRACT} Makefile.pamphlet
@@ -175,14 +175,14 @@ input:
 \getchunk{ENVAR}
 \getchunk{parallel}
 \getchunk{book}
-\getchunk{tangle.c}
+\getchunk{tanglec.c}
 \getchunk{literate commands}
 \getchunk{install}
 
 document: ${MNT}/${SYS}/bin/document
 	@ echo 4 making a ${SYS} system, PART=${PART} SUBPART=${SUBPART}
 	@ echo 5 Environment ${ENV}
-	@ ${BOOKS}/tangle Makefile.pamphlet "Makefile.${SYS}" >Makefile.${SYS}
+	@ ${BOOKS}/tanglec Makefile.pamphlet "Makefile.${SYS}" >Makefile.${SYS}
 	@ ${ENV} $(MAKE) -f Makefile.${SYS} document
 	@echo 6 finished system build on `date` | tee >lastBuildDate
 
@@ -219,11 +219,11 @@ clean:
 	@ for i in `find src -name "Makefile"` ; do rm -f $$i ; done
 	@ for i in `find src -name "Makefile.dvi"` ; do rm -f $$i ; done
 	@ rm -f lastBuildDate
-	@ rm -f books/tangle.o
+	@ rm -f books/tanglec
 	@ rm -f Makefile.pdf books/Makefile.pdf 
 	@ rm -f lsp/Makefile.pdf lsp/Makefile.pdf src/Makefile.pdf
 	@ rm -f src/algebra/Makefile.pdf src/clef/Makefile.pdf 
-	@ rm -f src/doc/Makefile.pdf src/lib/Makefile.pdf
+	@ rm -f src/doc/Makefile.pdf
 	@ rm -f src/etc/Makefile.pdf src/input/Makefile.pdf 
 	@ rm -f src/interp/Makefile.pdf
 	@ rm -f src/scripts/Makefile.pdf src/share/Makefile.pdf
@@ -591,12 +591,12 @@ book:
 	@ echo 80 The book is at ${MNT}/${SYS}/doc/book.dvi 
 
 \end{chunk}
-\subsection{tangle.c}
-\begin{chunk}{tangle.c}
+\subsection{tanglec.c}
+\begin{chunk}{tanglec.c}
 
-tangle: books/tangle.c
-	@echo t01 making tangle from tangle.c
-	@( cd books ; gcc -o tangle tangle.c )
+tanglec: books/tanglec.c
+	@echo t01 making tanglec from books/tanglec.c
+	@( cd books ; gcc -o tanglec tanglec.c )
 
 \end{chunk}
 
@@ -664,7 +664,7 @@ ${LSP}/Makefile: ${LSP}/Makefile.pamphlet
 	@( cd lsp ; \
 	 ${EXTRACT} Makefile.pamphlet ; \
 	 if [ "${GCLVERSION}" != "gcl-2.4.1" ] ; then \
-	 ${BOOKS}/tangle Makefile.pamphlet ${GCLVERSION} >Makefile ; \
+	 ${BOOKS}/tanglec Makefile.pamphlet ${GCLVERSION} >Makefile ; \
          fi ; \
 	 cp Makefile.pdf ${MNT}/${SYS}/doc/src/lsp.Makefile.pdf )
 
diff --git a/books/extract b/books/extract
index 8fc15b0..5f5d559 100755
--- a/books/extract
+++ b/books/extract
@@ -1,7 +1,8 @@
 #!/bin/sh
 latex=`which latex`
 STY=$AXIOM/../../books/axiom.sty
-TAN=$AXIOM/../../books/tangle
+TAN=$AXIOM/../../books/tanglec
+echo extract1: $TAN
 if [ "$latex" = "" ] ; then
   echo document ERROR You must install latex first
   exit 0
@@ -11,6 +12,7 @@ if [ "$#" = "3" ]; then
  REDIRECT=$2
  FILE=`basename $3 .pamphlet`
  $TAN $FILE.pamphlet >$FILE
+ echo extract2: `pwd`/$FILE.pamphlet
  if [ ! -f axiom.sty ] ; then cp $STY . ; fi
  $latex --interaction nonstopmode $FILE.pamphlet >$REDIRECT
  $latex --interaction nonstopmode $FILE.pamphlet >$REDIRECT
@@ -26,6 +28,7 @@ fi
 if [ "$#" = "1" ]; then
  FILE=`basename $1 .pamphlet`
  $TAN $FILE.pamphlet >$FILE
+ echo extract3: `pwd`/$FILE.pamphlet
  if [ ! -f axiom.sty ] ; then cp $STY . ; fi
  $latex $FILE.pamphlet
  $latex $FILE.pamphlet
diff --git a/books/tangle.c b/books/tangle.c
deleted file mode 100644
index 5eb6c11..0000000
--- a/books/tangle.c
+++ /dev/null
@@ -1,166 +0,0 @@
-#include <stdio.h>
-#include <stdlib.h>
-#include <string.h>
-#include <sys/stat.h>
-#include <sys/mman.h>
-#include <fcntl.h>
-
-// set this to 3 for further information
-#define DEBUG 0
-
-/* forward reference for the C compiler */
-int getchunk(char *chunkname);
-
-/* a memory mapped buffer copy of the file */
-char *buffer;
-int bufsize;
-
-/* return the length of the next line */
-int nextline(int i) {
-  int j;
-  if (i >= bufsize) return(-1);
-  for (j=0; ((i+j < bufsize) && (buffer[i+j] != '\n')); j++);
-  return(j);
-}
-
-/* output the line we need */
-int printline(int i, int length) {
-  int j;
-  for (j=0; j<length; j++) { putchar(buffer[i+j]); }
-  printf("\n");
-}
-
-/* handle begin{chunk}{chunkname}        */
-/* is this chunk name we are looking for? */
-int foundchunk(int i, char *chunkname) {
-  if ((strncmp(&buffer[i+14],chunkname,strlen(chunkname)) == 0) &&
-      (buffer[i+13] == '{') &&
-      (buffer[i+14+strlen(chunkname)] == '}')) {
-    if (DEBUG==3) { printf("foundchunk(%s)\n",chunkname); }
-    return(1); 
-  }
-  return(0);
-}
-
-/* handle end{chunk}   */
-/* is it really an end? */
-int foundEnd(int i, char* chunkname) {
-  if ((buffer[i] == '\\') && 
-      (strncmp(&buffer[i+1],"end{chunk}",10) == 0)) {
-    if (DEBUG==3) { printf("foundEnd(%s)\n",chunkname); }
-    return(1); 
-  }
-  return(0);
-}
-
-/* handle getchunk{chunkname} */
-/* is this line a getchunk?    */
-int foundGetchunk(int i, int linelen) {
-  int len;
-  if (strncmp(&buffer[i],"\\getchunk{",10) == 0) {
-    for(len=0; ((len < linelen) && (buffer[i+len] != '}')); len++);
-    return(len-10);
-  }
-  return(0);
-}
-
-/* Somebody did a getchunk and we need a copy of the name */
-/* malloc string storage for a copy of the getchunk name  */
-char *getChunkname(int k, int getlen) {
-  char *result = (char *)malloc(getlen+1);
-  strncpy(result,&buffer[k+10],getlen);
-  result[getlen]='\0';
-  return(result);
-}
-  
-/* print lines in this chunk, possibly recursing into getchunk */
-int printchunk(int i, int chunklinelen, char *chunkname) {
-  int j;
-  int k;
-  int linelen;
-  char *getname;
-  int getlen = 0;
-  if (DEBUG==3) { printf("===   \\start{%s}   ===\n",chunkname); }
-  for (k=i+chunklinelen+1; ((linelen=nextline(k)) != -1); ) {
-    if ((getlen=foundGetchunk(k,linelen)) > 0) {
-       getname = getChunkname(k,getlen);
-       getchunk(getname);
-       free(getname);
-       k=k+getlen+12l;
-    } else {
-      if ((linelen >= 11) && (foundEnd(k,chunkname) == 1)) {
-      if (DEBUG==3) { printf("===   \\end{%s}   ===\n",chunkname); }
-      return(k+12);
-    } else {
-      if (DEBUG==2) { 
-        printf("======== printchunk else %d %d\n",k,linelen); 
-      }
-      printline(k,linelen);
-      k=k+linelen+1;
-    }
-  }}
-  if (DEBUG==2) {
-     printf("=================\\out{%s} %d\n",chunkname,k); 
-  }
-  return(k);
-}
-
-/* find the named chunk and call printchunk on it */
-int getchunk(char *chunkname) {
-  int i;
-  int j;
-  int linelen;
-  int chunklen = strlen(chunkname);
-  if (DEBUG==3) { printf("getchunk(%s)\n",chunkname); }
-  for (i=0; ((linelen=nextline(i)) != -1); ) {
-    if (DEBUG==2) { 
-      printf("----"); printline(i,linelen); printf("----\n"); 
-    }
-    if ((linelen >= chunklen+15) && (foundchunk(i,chunkname) == 1)) {
-      if (DEBUG==2) {
-         fprintf(stderr,"=================\\getchunk(%s)\n",chunkname); 
-      }
-      i=printchunk(i,linelen,chunkname);
-    } else {
-      i=i+linelen+1;
-    }
-  }
-  if (DEBUG==2) { 
-    fprintf(stderr,"=================getchunk returned=%d\n",i); 
-  }
-  return(i);
-}
-
-/* memory map the input file into the global buffer and get the chunk */
-int main(int argc, char *argv[]) {
-  int fd;
-  struct stat filestat;
-  if ((argc == 1) || (argc > 3)) { 
-    perror("Usage: tangle filename chunkname");
-    exit(-1);
-  }
-  fd = open(argv[1],O_RDONLY);
-  if (fd == -1) {
-    perror("Error opening file for reading");
-    exit(-2);
-  }
-  if (fstat(fd,&filestat) < 0) {
-    perror("Error getting input file size");
-    exit(-3);
-  }
-  bufsize = (int)filestat.st_size;
-  buffer = mmap(0,filestat.st_size,PROT_READ,MAP_SHARED,fd,0);
-  if (buffer == MAP_FAILED) {
-    close(fd);
-    perror("Error reading the file");
-    exit(-4);
-  }
-  if (argc == 2) {
-    getchunk("*");
-  } else {
-    getchunk(argv[2]);
-  }
-  close(fd);
-  return(0);
-}
-
diff --git a/books/tanglec.c b/books/tanglec.c
new file mode 100644
index 0000000..5eb6c11
--- /dev/null
+++ b/books/tanglec.c
@@ -0,0 +1,166 @@
+#include <stdio.h>
+#include <stdlib.h>
+#include <string.h>
+#include <sys/stat.h>
+#include <sys/mman.h>
+#include <fcntl.h>
+
+// set this to 3 for further information
+#define DEBUG 0
+
+/* forward reference for the C compiler */
+int getchunk(char *chunkname);
+
+/* a memory mapped buffer copy of the file */
+char *buffer;
+int bufsize;
+
+/* return the length of the next line */
+int nextline(int i) {
+  int j;
+  if (i >= bufsize) return(-1);
+  for (j=0; ((i+j < bufsize) && (buffer[i+j] != '\n')); j++);
+  return(j);
+}
+
+/* output the line we need */
+int printline(int i, int length) {
+  int j;
+  for (j=0; j<length; j++) { putchar(buffer[i+j]); }
+  printf("\n");
+}
+
+/* handle begin{chunk}{chunkname}        */
+/* is this chunk name we are looking for? */
+int foundchunk(int i, char *chunkname) {
+  if ((strncmp(&buffer[i+14],chunkname,strlen(chunkname)) == 0) &&
+      (buffer[i+13] == '{') &&
+      (buffer[i+14+strlen(chunkname)] == '}')) {
+    if (DEBUG==3) { printf("foundchunk(%s)\n",chunkname); }
+    return(1); 
+  }
+  return(0);
+}
+
+/* handle end{chunk}   */
+/* is it really an end? */
+int foundEnd(int i, char* chunkname) {
+  if ((buffer[i] == '\\') && 
+      (strncmp(&buffer[i+1],"end{chunk}",10) == 0)) {
+    if (DEBUG==3) { printf("foundEnd(%s)\n",chunkname); }
+    return(1); 
+  }
+  return(0);
+}
+
+/* handle getchunk{chunkname} */
+/* is this line a getchunk?    */
+int foundGetchunk(int i, int linelen) {
+  int len;
+  if (strncmp(&buffer[i],"\\getchunk{",10) == 0) {
+    for(len=0; ((len < linelen) && (buffer[i+len] != '}')); len++);
+    return(len-10);
+  }
+  return(0);
+}
+
+/* Somebody did a getchunk and we need a copy of the name */
+/* malloc string storage for a copy of the getchunk name  */
+char *getChunkname(int k, int getlen) {
+  char *result = (char *)malloc(getlen+1);
+  strncpy(result,&buffer[k+10],getlen);
+  result[getlen]='\0';
+  return(result);
+}
+  
+/* print lines in this chunk, possibly recursing into getchunk */
+int printchunk(int i, int chunklinelen, char *chunkname) {
+  int j;
+  int k;
+  int linelen;
+  char *getname;
+  int getlen = 0;
+  if (DEBUG==3) { printf("===   \\start{%s}   ===\n",chunkname); }
+  for (k=i+chunklinelen+1; ((linelen=nextline(k)) != -1); ) {
+    if ((getlen=foundGetchunk(k,linelen)) > 0) {
+       getname = getChunkname(k,getlen);
+       getchunk(getname);
+       free(getname);
+       k=k+getlen+12l;
+    } else {
+      if ((linelen >= 11) && (foundEnd(k,chunkname) == 1)) {
+      if (DEBUG==3) { printf("===   \\end{%s}   ===\n",chunkname); }
+      return(k+12);
+    } else {
+      if (DEBUG==2) { 
+        printf("======== printchunk else %d %d\n",k,linelen); 
+      }
+      printline(k,linelen);
+      k=k+linelen+1;
+    }
+  }}
+  if (DEBUG==2) {
+     printf("=================\\out{%s} %d\n",chunkname,k); 
+  }
+  return(k);
+}
+
+/* find the named chunk and call printchunk on it */
+int getchunk(char *chunkname) {
+  int i;
+  int j;
+  int linelen;
+  int chunklen = strlen(chunkname);
+  if (DEBUG==3) { printf("getchunk(%s)\n",chunkname); }
+  for (i=0; ((linelen=nextline(i)) != -1); ) {
+    if (DEBUG==2) { 
+      printf("----"); printline(i,linelen); printf("----\n"); 
+    }
+    if ((linelen >= chunklen+15) && (foundchunk(i,chunkname) == 1)) {
+      if (DEBUG==2) {
+         fprintf(stderr,"=================\\getchunk(%s)\n",chunkname); 
+      }
+      i=printchunk(i,linelen,chunkname);
+    } else {
+      i=i+linelen+1;
+    }
+  }
+  if (DEBUG==2) { 
+    fprintf(stderr,"=================getchunk returned=%d\n",i); 
+  }
+  return(i);
+}
+
+/* memory map the input file into the global buffer and get the chunk */
+int main(int argc, char *argv[]) {
+  int fd;
+  struct stat filestat;
+  if ((argc == 1) || (argc > 3)) { 
+    perror("Usage: tangle filename chunkname");
+    exit(-1);
+  }
+  fd = open(argv[1],O_RDONLY);
+  if (fd == -1) {
+    perror("Error opening file for reading");
+    exit(-2);
+  }
+  if (fstat(fd,&filestat) < 0) {
+    perror("Error getting input file size");
+    exit(-3);
+  }
+  bufsize = (int)filestat.st_size;
+  buffer = mmap(0,filestat.st_size,PROT_READ,MAP_SHARED,fd,0);
+  if (buffer == MAP_FAILED) {
+    close(fd);
+    perror("Error reading the file");
+    exit(-4);
+  }
+  if (argc == 2) {
+    getchunk("*");
+  } else {
+    getchunk(argv[2]);
+  }
+  close(fd);
+  return(0);
+}
+
diff --git a/changelog b/changelog
index d9dd419..add2de2 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,14 @@
+20140727 tpd src/axiom-website/patches.html 20140727.01.tpd.patch
+20140727 tpd Makefile rename tangle.c to tanglec.c
+20140727 tpd books/extract rename tangle.c to tanglec.c
+20140727 tpd books/tangle.c -> books/tanglec.c
+20140727 tpd src/Makefile rename tangle.c to tanglec.c
+20140727 tpd src/clef/Makefile rename tangle.c to tanglec.c
+20140727 tpd src/doc/Makefile rename tangle.c to tanglec.c
+20140727 tpd src/etc/Makefile rename tangle.c to tanglec.c
+20140727 tpd src/input/Makefile rename tangle.c to tanglec.c
+20140727 tpd src/interp/Makefile rename tangle.c to tanglec.c
+20140727 tpd src/lib/Makefile rename tangle.c to tanglec.c
 20140726 tpd src/axiom-website/patches.html 20140726.01.tpd.patch
 20140726 tpd Makefile move to GCL cygwin
 20140726 tpd lsp/Makefile move to GCL cygwin
diff --git a/patch b/patch
index ada37f6..d19918e 100644
--- a/patch
+++ b/patch
@@ -1,4 +1,4 @@
-Makefile, lsp/Makefile, zips/gcl-cygwin.tgz use the latest gcl
+Makefiles, tanglec move tangle.c to tanglec.c to avoid gcl
 
-Camm has fixed Axiom to use compiler::link.
-Axiom has moved to the latest GCL release.
+GCL compiles tangle.lisp and steps on tangle.c so we renamed the C
+version to tanglec and changed it everywhere.
diff --git a/src/Makefile.pamphlet b/src/Makefile.pamphlet
index ccd81bd..e4093d3 100644
--- a/src/Makefile.pamphlet
+++ b/src/Makefile.pamphlet
@@ -402,7 +402,7 @@ docdir: ${SRC}/doc/Makefile
 	@ cp ${BOOKS}/ps/doctitle.png ${AXIOM}/doc/hypertex/doctitle.png
 	@ cp ${BOOKS}/ps/lightbayou.png ${AXIOM}/doc/hypertex/lightbayou.png
 	@(cd ${MNT}/${SYS}/doc/hypertex ; \
-	  ${BOOKS}/tangle ${SPD}/books/bookvol11.pamphlet >Makefile11 ; \
+	  ${BOOKS}/tanglec ${SPD}/books/bookvol11.pamphlet >Makefile11 ; \
 	  ${ENV} ${MAKE} -f Makefile11 ; \
 	  rm -f Makefile11 )
 	@(cd doc ; ${ENV} ${MAKE} )
@@ -519,14 +519,14 @@ ${SRC}/algebra/Makefile: ${BOOKS}/bookvol10.pamphlet
 	@echo 30 making ${SRC}/algebra/Makefile from \
                 ${BOOKS}/bookvol10.pamphlet
 	@( cd algebra ; \
-	${BOOKS}/tangle ${BOOKS}/bookvol10.pamphlet Makefile >Makefile ; \
+	${BOOKS}/tanglec ${BOOKS}/bookvol10.pamphlet Makefile >Makefile ; \
 	cp ${SPD}/books/bookvol10.2.pamphlet . ; \
 	cp ${SPD}/books/bookvol10.3.pamphlet . ; \
 	cp ${SPD}/books/bookvol10.4.pamphlet . ; \
 	cp ${SPD}/books/bookvol10.5.pamphlet . ; \
 	echo 30a tangling findAlgebraFiles from \
                  ${BOOKS}/bookvol10.pamphlet ; \
-	${BOOKS}/tangle ${BOOKS}/bookvol10.pamphlet \
+	${BOOKS}/tanglec ${BOOKS}/bookvol10.pamphlet \
              findAlgebraFiles >${INT}/algebra/findAlgebraFiles ; \
 	echo 30b running ${INT}/algebra/findAlgebraFiles ; \
 	. ${INT}/algebra/findAlgebraFiles >> Makefile )
@@ -552,7 +552,7 @@ browserdir: ${SPD}/books/bookvol11.pamphlet
 	@echo 11 making browser from bookvol11
 #	@mkdir -p ${MNT}/${SYS}/doc/hypertex/bitmaps
 #	@(cd ${MNT}/${SYS}/doc/hypertex ; \
-#	  ${BOOKS}/tangle ${SPD}/books/bookvol11.pamphlet >Makefile11 ; \
+#	  ${BOOKS}/tanglec ${SPD}/books/bookvol11.pamphlet >Makefile11 ; \
 #	  ${ENV} ${MAKE} -j 10 -f Makefile11 ; \
 #	  rm -f Makefile11 )
 
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 246d856..7215b83 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4566,6 +4566,8 @@ books/bookvol13, bookvolbib add Mason86 for proving Axiom
 books/bookvol13, bookvolbib add Daly10 for proving Axiom
 <a href="patches/20140726.01.tpd.patch">20140726.01.tpd.patch</a>
 Makefile, lsp/Makefile, zips/gcl-cygwin.tgz use the latest gcl
+<a href="patches/20140727.01.tpd.patch">20140727.01.tpd.patch</a>
+books/tangle.c -> books/tanglec.c
  </body>
 </html>
 
diff --git a/src/clef/Makefile.pamphlet b/src/clef/Makefile.pamphlet
index fce74a7..4f8e457 100644
--- a/src/clef/Makefile.pamphlet
+++ b/src/clef/Makefile.pamphlet
@@ -48,7 +48,7 @@ ${OUT}/clef:	${CLEFOBJS}
 
 ${MID}/edible.c: ${IN}/edible.c.pamphlet
 	@ echo sc2 making ${MID}/edible.c from ${IN}/edible.c.pamphlet
-	@ (cd ${MID} ; ${BOOKS}/tangle ${IN}/edible.c.pamphlet >edible.c )
+	@ (cd ${MID} ; ${BOOKS}/tanglec ${IN}/edible.c.pamphlet >edible.c )
 
 ${MID}/edible.o: ${MID}/edible.c ${INC}/edible.h
 	@ echo sc3 making ${MID}/edible.o from ${MID}/edible.c
diff --git a/src/doc/Makefile.pamphlet b/src/doc/Makefile.pamphlet
index 66d1aca..8487383 100644
--- a/src/doc/Makefile.pamphlet
+++ b/src/doc/Makefile.pamphlet
@@ -73,7 +73,7 @@ ${MID}/booklet.o: ${INT}/booklet.c
 ${INT}/booklet.c: ${IN}/booklet.c.pamphlet
 	@echo sd07 making ${INT}/booklet.c from ${IN}/booklet.c.pamphlet
 	@(cd ${INT} ; \
-	  ${BOOKS}/tangle ${IN}/booklet.c.pamphlet >booklet.c )
+	  ${BOOKS}/tanglec ${IN}/booklet.c.pamphlet >booklet.c )
 	  
 \end{chunk}
 \section{The Makefile}
diff --git a/src/etc/Makefile.pamphlet b/src/etc/Makefile.pamphlet
index c9747a2..bf2029b 100644
--- a/src/etc/Makefile.pamphlet
+++ b/src/etc/Makefile.pamphlet
@@ -71,7 +71,7 @@ ${OUT}/asq: ${MID}/asq.c
 ${MID}/asq.c: ${IN}/asq.c.pamphlet
 	@echo se05 making ${OUT}/asq from ${MID}/asq.c
 	@( cd ${MID} ; \
-	  ${BOOKS}/tangle ${IN}/asq.c.pamphlet >asq.c )
+	  ${BOOKS}/tanglec ${IN}/asq.c.pamphlet >asq.c )
 
 \end{chunk}
 \begin{chunk}{*}
diff --git a/src/input/Makefile.pamphlet b/src/input/Makefile.pamphlet
index a879c5f..2eb34d7 100644
--- a/src/input/Makefile.pamphlet
+++ b/src/input/Makefile.pamphlet
@@ -73,7 +73,7 @@ ${OUT}/%.as: ${MID}/%.as
 ${MID}/%.as: ${IN}/%.as.pamphlet
 	@echo si04 making ${MID}/$*.as from ${IN}/$*.as.pamphlet
 	@(cd ${MID} ; \
-	  ${BOOKS}/tangle ${IN}/$*.as.pamphlet >$*.as)
+	  ${BOOKS}/tanglec ${IN}/$*.as.pamphlet >$*.as)
 
 ${DOC}/axiom.sty:
 	@echo si05 making ${DOC}/axiom.sty from ${BOOKS}/axiom.sty
@@ -525,7 +525,7 @@ all: alltests
 algebratests: ${OUTS}
 	@ echo si13 starting algebra regression testing
 	@ (cd ${MID} ; \
-	  ${BOOKS}/tangle ${SRC}/algebra/Makefile.pamphlet algebra.regress \
+	  ${BOOKS}/tanglec ${SRC}/algebra/Makefile.pamphlet algebra.regress \
             >Makefile.algebra ; \
           ${MAKE} -f Makefile.algebra )
 	@ echo si14 finished ${INT}/input
@@ -1477,7 +1477,7 @@ use:
 
 regress:
 	@echo si19 making ${MID}
-	@ ${BOOKS}/tangle ${IN}/Makefile.pamphlet "regression tests" \
+	@ ${BOOKS}/tanglec ${IN}/Makefile.pamphlet "regression tests" \
           >${MID}/Makefile
 	@ echo 3a tpdhere parallel making ${MID} 
 	@ echo 3b tpdhere parallel making ${MID} 
diff --git a/src/interp/Makefile.pamphlet b/src/interp/Makefile.pamphlet
index eced320..f4ea573 100644
--- a/src/interp/Makefile.pamphlet
+++ b/src/interp/Makefile.pamphlet
@@ -347,7 +347,7 @@ be in the lisp image thus minimizing their startup time.
 \begin{chunk}{warm.data.stanza}
 ${INT}/algebra/warm.data: 
 	@ echo si001 building warm.data
-	@ ${BOOKS}/tangle ${IN}/Makefile.pamphlet warm.data >${INT}/algebra/warm.data
+	@ ${BOOKS}/tanglec ${IN}/Makefile.pamphlet warm.data >${INT}/algebra/warm.data
 
 \end{chunk}
 \begin{chunk}{warm.data}
diff --git a/src/lib/Makefile.pamphlet b/src/lib/Makefile.pamphlet
index 48acce5..c0b018d 100644
--- a/src/lib/Makefile.pamphlet
+++ b/src/lib/Makefile.pamphlet
@@ -41,7 +41,7 @@ DOCFILES=\
 \begin{chunk}{bsdsignal}
 ${MID}/bsdsignal.c: ${IN}/bsdsignal.c.pamphlet
 	@echo sl01 making ${MID}/bsdsignal.c from ${IN}/bsdsignal.c.pamphlet
-	@${BOOKS}/tangle bsdsignal.c.pamphlet >${MID}/bsdsignal.c
+	@${BOOKS}/tanglec bsdsignal.c.pamphlet >${MID}/bsdsignal.c
 
 ${OUT}/bsdsignal.o: ${MID}/bsdsignal.c
 	@echo sl02 making ${OUT}/bsdsignal.o from ${MID}/bsdsignal.c
@@ -75,7 +75,7 @@ gets included as part of the final system build of GCL.
 \begin{chunk}{cfuns-c}
 ${MID}/cfuns-c.c: ${IN}/cfuns-c.c.pamphlet
 	@echo sl05 making ${MID}/cfuns-c.c from ${IN}/cfuns-c.c.pamphlet
-	@${BOOKS}/tangle cfuns-c.c.pamphlet >${MID}/cfuns-c.c
+	@${BOOKS}/tanglec cfuns-c.c.pamphlet >${MID}/cfuns-c.c
 
 ${OUT}/cfuns-c.o: ${MID}/cfuns-c.c
 	@echo sl06 making ${OUT}/cfuns-c.o from ${MID}/cfuns-c.c
@@ -101,7 +101,7 @@ ${DOCMNT}/cfuns-c.c.pdf: ${DOCINT}/cfuns-c.c.pdf
 \begin{chunk}{cursor}
 ${MID}/cursor.c: ${IN}/cursor.c.pamphlet
 	@echo sl09 making ${MID}/cursor.c from ${IN}/cursor.c.pamphlet
-	@${BOOKS}/tangle cursor.c.pamphlet >${MID}/cursor.c
+	@${BOOKS}/tanglec cursor.c.pamphlet >${MID}/cursor.c
 
 ${OUT}/cursor.o: ${MID}/cursor.c
 	@echo sl10 making ${OUT}/cursor.o from ${MID}/cursor.c
@@ -126,7 +126,7 @@ ${DOCMNT}/cursor.c.pdf: ${DOCINT}/cursor.c.pdf
 \begin{chunk}{edin}
 ${MID}/edin.c: ${IN}/edin.c.pamphlet
 	@echo sl13 making ${MID}/edin.c from ${IN}/edin.c.pamphlet
-	@${BOOKS}/tangle edin.c.pamphlet >${MID}/edin.c
+	@${BOOKS}/tanglec edin.c.pamphlet >${MID}/edin.c
 
 ${OUT}/edin.o: ${MID}/edin.c
 	@echo sl14 making ${OUT}/edin.o from ${MID}/edin.c
@@ -151,7 +151,7 @@ ${DOCMNT}/edin.c.pdf: ${DOCINT}/edin.c.pdf
 \begin{chunk}{fnctkey}
 ${MID}/fnct-key.c: ${IN}/fnct-key.c.pamphlet
 	@echo sl17 making ${MID}/fnct-key.c from ${IN}/fnct-key.c.pamphlet
-	@${BOOKS}/tangle fnct-key.c.pamphlet >${MID}/fnct-key.c
+	@${BOOKS}/tanglec fnct-key.c.pamphlet >${MID}/fnct-key.c
 
 ${OUT}/fnct-key.o: ${MID}/fnct-key.c
 	@echo sl18 making ${OUT}/fnct-key.o from ${MID}/fnct-key.c
@@ -176,7 +176,7 @@ ${DOCMNT}/fnct-key.c.pdf: ${DOCINT}/fnct-key.c.pdf
 \begin{chunk}{halloc}
 ${MID}/halloc.c: ${IN}/halloc.c.pamphlet
 	@echo sl21 making ${MID}/halloc.c from ${IN}/halloc.c.pamphlet
-	@${BOOKS}/tangle halloc.c.pamphlet >${MID}/halloc.c
+	@${BOOKS}/tanglec halloc.c.pamphlet >${MID}/halloc.c
 
 ${OUT}/halloc.o: ${MID}/halloc.c
 	@echo sl22 making ${OUT}/halloc.o from ${MID}/halloc.c
@@ -204,7 +204,7 @@ earlier so the graph and hyper routines can refer to it.
 \begin{chunk}{hash}
 ${MID}/hash.c: ${IN}/hash.c.pamphlet
 	@echo sl25 making ${MID}/hash.c from ${IN}/hash.c.pamphlet
-	@${BOOKS}/tangle hash.c.pamphlet >${MID}/hash.c
+	@${BOOKS}/tanglec hash.c.pamphlet >${MID}/hash.c
 
 ${OUT}/hash.o: ${MID}/hash.c
 	@echo sl26 making ${OUT}/hash.o from ${MID}/hash.c
@@ -229,7 +229,7 @@ ${DOCMNT}/hash.c.pdf: ${DOCINT}/hash.c.pdf
 \begin{chunk}{openpty}
 ${MID}/openpty.c: ${IN}/openpty.c.pamphlet
 	@echo sl29 making ${MID}/openpty.c from ${IN}/openpty.c.pamphlet
-	@${BOOKS}/tangle openpty.c.pamphlet >${MID}/openpty.c
+	@${BOOKS}/tanglec openpty.c.pamphlet >${MID}/openpty.c
 
 ${OUT}/openpty.o: ${MID}/openpty.c
 	@echo sl30 making ${OUT}/openpty.o from ${MID}/openpty.c
@@ -254,7 +254,7 @@ ${DOCMNT}/openpty.c.pdf: ${DOCINT}/openpty.c.pdf
 \begin{chunk}{pixmap}
 ${MID}/pixmap.c: ${IN}/pixmap.c.pamphlet
 	@echo sl33 making ${MID}/pixmap.c from ${IN}/pixmap.c.pamphlet
-	@${BOOKS}/tangle pixmap.c.pamphlet >${MID}/pixmap.c
+	@${BOOKS}/tanglec pixmap.c.pamphlet >${MID}/pixmap.c
 
 ${OUT}/pixmap.o: ${MID}/pixmap.c
 	@echo sl34 making ${OUT}/pixmap.o from ${MID}/pixmap.c
@@ -279,7 +279,7 @@ ${DOCMNT}/pixmap.c.pdf: ${DOCINT}/pixmap.c.pdf
 \begin{chunk}{prt}
 ${MID}/prt.c: ${IN}/prt.c.pamphlet
 	@echo sl37 making ${MID}/prt.c from ${IN}/prt.c.pamphlet
-	@${BOOKS}/tangle prt.c.pamphlet >${MID}/prt.c
+	@${BOOKS}/tanglec prt.c.pamphlet >${MID}/prt.c
 
 ${OUT}/prt.o: ${MID}/prt.c
 	@echo sl38 making ${OUT}/prt.o from ${MID}/prt.c
@@ -310,7 +310,7 @@ gets included as part of the final system build of GCL.
 \begin{chunk}{sockio-c}
 ${MID}/sockio-c.c: ${IN}/sockio-c.c.pamphlet
 	@echo sl41 making ${MID}/sockio-c.c from ${IN}/sockio-c.c.pamphlet
-	@${BOOKS}/tangle sockio-c.c.pamphlet >${MID}/sockio-c.c
+	@${BOOKS}/tanglec sockio-c.c.pamphlet >${MID}/sockio-c.c
 
 ${OUT}/sockio-c.o: ${MID}/sockio-c.c
 	@echo sl42 making ${OUT}/sockio-c.o from ${MID}/sockio-c.c
@@ -335,7 +335,7 @@ ${DOCMNT}/sockio-c.c.pdf: ${DOCINT}/sockio-c.c.pdf
 \begin{chunk}{spadcolors}
 ${MID}/spadcolors.c: ${IN}/spadcolors.c.pamphlet
 	@echo sl45 making ${MID}/spadcolors.c from ${IN}/spadcolors.c.pamphlet
-	@${BOOKS}/tangle spadcolors.c.pamphlet >${MID}/spadcolors.c
+	@${BOOKS}/tanglec spadcolors.c.pamphlet >${MID}/spadcolors.c
 
 ${OUT}/spadcolors.o: ${MID}/spadcolors.c
 	@echo sl46 making ${OUT}/spadcolors.o from ${MID}/spadcolors.c
@@ -361,7 +361,7 @@ ${DOCMNT}/spadcolors.c.pdf: ${DOCINT}/spadcolors.c.pdf
 \begin{chunk}{util}
 ${MID}/util.c: ${IN}/util.c.pamphlet
 	@echo sl49 making ${MID}/util.c from ${IN}/util.c.pamphlet
-	@${BOOKS}/tangle util.c.pamphlet >${MID}/util.c
+	@${BOOKS}/tanglec util.c.pamphlet >${MID}/util.c
 
 ${OUT}/util.o: ${MID}/util.c
 	@echo sl50 making ${OUT}/util.o from ${MID}/util.c
@@ -386,7 +386,7 @@ ${DOCMNT}/util.c.pdf: ${DOCINT}/util.c.pdf
 \begin{chunk}{wct}
 ${MID}/wct.c: ${IN}/wct.c.pamphlet
 	@echo sl53 making ${MID}/wct.c from ${IN}/wct.c.pamphlet
-	@${BOOKS}/tangle wct.c.pamphlet >${MID}/wct.c
+	@${BOOKS}/tanglec wct.c.pamphlet >${MID}/wct.c
 
 ${OUT}/wct.o: ${MID}/wct.c
 	@echo sl54 making ${OUT}/wct.o from ${MID}/wct.c
@@ -411,7 +411,7 @@ ${DOCMNT}/wct.c.pdf: ${DOCINT}/wct.c.pdf
 \begin{chunk}{xdither}
 ${MID}/xdither.c: ${IN}/xdither.c.pamphlet
 	@echo sl57 making ${MID}/xdither.c from ${IN}/xdither.c.pamphlet
-	@${BOOKS}/tangle xdither.c.pamphlet >${MID}/xdither.c
+	@${BOOKS}/tanglec xdither.c.pamphlet >${MID}/xdither.c
 
 ${OUT}/xdither.o: ${MID}/xdither.c
 	@echo sl58 making ${OUT}/xdither.o from ${MID}/xdither.c
@@ -436,7 +436,7 @@ ${DOCMNT}/xdither.c.pdf: ${DOCINT}/xdither.c.pdf
 \begin{chunk}{xshade}
 ${MID}/xshade.c: ${IN}/xshade.c.pamphlet
 	@echo sl61 making ${MID}/xshade.c from ${IN}/xshade.c.pamphlet
-	@${BOOKS}/tangle xshade.c.pamphlet >${MID}/xshade.c
+	@${BOOKS}/tanglec xshade.c.pamphlet >${MID}/xshade.c
 
 ${OUT}/xshade.o: ${MID}/xshade.c
 	@echo sl62 making ${OUT}/xshade.o from ${MID}/xshade.c
@@ -461,7 +461,7 @@ ${DOCMNT}/xshade.c.pdf: ${DOCINT}/xshade.c.pdf
 \begin{chunk}{xspadfill}
 ${MID}/xspadfill.c: ${IN}/xspadfill.c.pamphlet
 	@echo sl65 making ${MID}/xspadfill.c from ${IN}/xspadfill.c.pamphlet
-	@${BOOKS}/tangle xspadfill.c.pamphlet >${MID}/xspadfill.c
+	@${BOOKS}/tanglec xspadfill.c.pamphlet >${MID}/xspadfill.c
 
 ${OUT}/xspadfill.o: ${MID}/xspadfill.c
 	@echo sl66 making ${OUT}/xspadfill.o from ${MID}/xspadfill.c
